Bug 308831 - installer crashed on beginning of installation, error occured trying to initialize swap device sda5
installer crashed on beginning of installation, error occured trying to initi...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-27 08:24 EDT by teejay
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-05 11:02:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Detail of Unhandled Exception, Error, Anaconda (27.99 KB, text/plain)
2007-09-27 11:27 EDT, teejay
no flags Details

  None (edit)
Description teejay 2007-09-27 08:24:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux) KHTML/3.5.6 (like Gecko)

Description of problem:
trying to install of kde live cd. the installer crashes at the beginning of 
the installation giving this message: "an error occurred trying to initialize 
swap on device sda5. this problem is serious, and the install cannon continue. 
press <enter> to exit the installer." i have mepis 7 beta currently installed 
and i selected the option to manually partition hard drive. i have one hard 
drive with a root partition, home partition, boot partition, and a swap 
partition, also a small ntfs partition. the swap partition is on an extended 
partition. also sometimes i get this error message just before manual 
partition setup. "/dev/sda5 has a partition type of 0x82 (linux swap) but does 
not appear to be formatted as a linux swap partition. would you like to format 
this partition as a swap partition?" i select yes. the swap partition has been 
used on multiple versions of linux including fedora 7 and it worked fine.

Version-Release number of selected component (if applicable):
11.3.0.28

How reproducible:
Always


Steps to Reproduce:
1. start live cd installer.
2. click through and choose manual partition setup.
3. /dev/sda1 as /boot and format
   /dev/sda2 as / and format
   /dev/sda3 as ntfs - not changed
   /dev/sda4 as Extended
   /dev/sda5 as swap and format
   /dev/sda6 as /home and no format
4. default settings for rest of installer
5. click 'next' to start installation and error message appears

Actual Results:
the error message appeared and 4 autodetect windows appeared for /home /boot 
12G media and another 12G media.

Expected Results:
the installer should have did its stuff and installed the system.

Additional info:
the computer is an hp dv6000 with an amd64x2 turion nvidia geforce 7200 GO and 
broadcom wireless. with older kernels sometimes system would not boot and with 
fedora 7 default kernel there was a problem with ACPI and the only way to use 
it was with the kernel parameter vga=792. using that parameter and also when 
using other distros the system locks up on shut down at syncing hardware clock 
to system time. there is believed to be a problem with ACPI on these 
computers.
Comment 1 teejay 2007-09-27 08:29:39 EDT
tried to delete the swap partition within the installer and than recreated the 
swap partition with the remaining free space. now when the installer begins i 
get this error message. "error informing the kernel about modification to 
partition /dev/sda6--device or resource busy. this means that linux wont know 
about any changes you made to /dev/sda6 until you reboot -- so you shouldnt 
mount it or use it in any way before rebooting." if i click 'ignore' the same 
error message as before appears. i used /dev/sda6 as the swap.
Comment 2 teejay 2007-09-27 08:53:47 EDT
i attempted to do an install without any swap partition and all works well 
until it starts formatting. at that point the whole system goes into a hard 
lock and must be restared.
Comment 3 teejay 2007-09-27 11:27:30 EDT
Created attachment 208521 [details]
Detail of Unhandled Exception, Error, Anaconda

i deleted the swap file. than i added a swap file on the primary and then i
tried to add another swap file to the extended and this error occurred.
Comment 4 teejay 2007-09-27 12:27:56 EDT
i tried installing again and selected the 'remove all partitions and create 
default layout' option and this time everything worked well until it got 
to "formating /boot partition" in which the system hard locked.
Comment 5 Jeremy Katz 2007-10-05 11:02:21 EDT
this is resolved in test3

Note You need to log in before you can comment on or make changes to this bug.